Namespace
library
Image / Tag
consul:1.7.6
Content Digest
sha256:523fb793b8240853d395138142f9f4bf329dc72b2e11ca8891726c9fa30cafa7
Details
Created

2020-08-07 23:38:53 UTC

Size

40.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.6

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0625b4155e2a59f647ece47c0cd77ed3196b1f84454fa64ce80cad90e2b9b79e - 6.61% (2.66 MB)

[#001] sha256:abfb20ef751c82d580853eda1975cbca4003dfcb6affa0cd2813f61b01fb696c - 0.0% (1.2 KB)

[#002] sha256:e4a0138bbfe8402277f09b205dcdb41011040ca10395b7c21af84d5d8c361492 - 93.39% (37.6 MB)

[#003] sha256:5508ee68f72f0b056ad5f01bd636e5428551f3f9c12acc764ca4513b5f179ba6 - 0.0% (142 Bytes)

[#004] sha256:700c24e7424bfefeb49c10e9d53636089ae068b8aad4756ba73a0c4f0db19ad7 - 0.0% (154 Bytes)

[#005] sha256:d872d2e5a55d613d697246081659d8514e47b6ea7c187e71efdaa2182d2debf1 - 0.0% (1.67 KB)


History
2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) ADD file:5624441d97aca5eeb82a582941efc3586397098b8391227a9040ebe434cc1d6b in /

2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:38:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:38:43 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.6

2020-08-07 23:38:43 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:38:44 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:38:50 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:38:51 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:38:52 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:38:52 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:38:52 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:38:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:38:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:38:53 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:38:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:38:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:20:04 UTC

Size

41.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.6

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 6.44% (2.67 MB)

[#001] sha256:0ab1090b721ed2eec9ecff7b5da8fc508d0af8b80cf7ee51c91eeab940c4998d - 0.0% (1.2 KB)

[#002] sha256:6d712999a58942dce6bfe229cd568a372b6f2347fde670171cb145479f8a850c - 93.56% (38.8 MB)

[#003] sha256:b60d3c63c3690449310d618d5c01b2ea34c9c1686fd4efe4fe02b7b744e4d7c9 - 0.0% (143 Bytes)

[#004] sha256:7b53b62c87b220542b0752ef7766d05933998fa0cd99b21b28b10ff620f9bce3 - 0.0% (154 Bytes)

[#005] sha256:926935d2a98f38e3ddc4861579e3bfc29dc3bc6ac56e7271dd1e7b58656912a8 - 0.0% (1.67 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 18:22:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:19:56 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.6

2020-08-07 23:19:56 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:19:57 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:20:01 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:20:02 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:20:03 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:20:03 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:20:03 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:20:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:20:04 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:20:04 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:20:04 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:20:04 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:56:20 UTC

Size

37.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.6

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b4b72e716706d29f5d2351709c20bf737b94f876a5472a43ff1b6e203c65d27f - 6.65% (2.48 MB)

[#001] sha256:517e9bfed15e08ebbdc9d3abab773b5425725cec3af967fa3cd41bbd0b612702 - 0.0% (1.23 KB)

[#002] sha256:42887c00ef7ab81315bc1362fd2529e6a92bd14447ec9bd4e8406338791f0218 - 93.34% (34.9 MB)

[#003] sha256:01a3de07b874e410cadd793d115e16ad6e12135dfb741e02ddcd0f25b0bb8d93 - 0.0% (176 Bytes)

[#004] sha256:3454899120fcfa3f8a35ddb02f3579e66e22ecab6b86528eb29c382fd3838579 - 0.0% (154 Bytes)

[#005] sha256:ebce269c996333f2f7fcfe2def22c2437ce134a73b71b6daef428b80b5dba97f - 0.0% (1.67 KB)


History
2020-05-29 21:50:55 UTC

/bin/sh -c #(nop) ADD file:f46e997a56849423db17e5fc9f0249ab6c73b155245927dba5fcb9dfd65f622f in /

2020-05-29 21:50:56 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:49:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:50:26 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.6

2020-08-07 23:50:27 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:50:31 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:51:18 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:52:20 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:53:42 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:54:08 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:54:34 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:55:04 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:55:25 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:55:47 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:56:01 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:56:20 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:40:59 UTC

Size

37.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.6

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 6.87% (2.58 MB)

[#001] sha256:053a4a20c0459cb94515dca8276bbcb1809a595b0becff1d2dc4179825cd46e5 - 0.0% (1.23 KB)

[#002] sha256:30fc9644e15b438712f285b352f820f481946e710d1e5f6218b9adbb775aa296 - 93.12% (35 MB)

[#003] sha256:594d3cde71dff9c0358f132796012d60b72dfcbdc048e154bf09998c886bb4b8 - 0.0% (175 Bytes)

[#004] sha256:ec198af636e631de7b1ba95c85040a1908ee372eea713d2eeb033309f4b4941d - 0.0% (154 Bytes)

[#005] sha256:599db3405d218191d1bab78a0abf4ad7c0abdb90a13da749b7b7d7444ab36beb - 0.0% (1.67 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:42:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:40:42 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.6

2020-08-07 23:40:42 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:40:44 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:40:50 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:40:53 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:40:54 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:40:55 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:40:56 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:40:56 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:40:57 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:40:57 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:40:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:40:59 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]